package com.dev.swms.server.model.abstractEntity;


import com.dev.energy.server.model.Entity;

public class ModelChange extends Entity{
	private int no;
	private String code;  //変通No.11桁
	private String name;//设变号
	private String bigItem;//一括番号
	private String bigItemNameO;//旧品番
	private String bom;//关联设变
	private String bigItemNameN;//新品番	
	private String supplierCode;//供应商代码
	private String supplierName;//供应商名称
	private String ac;//A/C
	private String productionName;//加工内容
	private String pinming;//品名(中文)
	private int danyong;//单用
	private int dinghuoBool;//订货要否
	private String nasuo;//纳所
	private int canliang;//7月产量
	private String TCode;//T型式代码
	private String TName;//T型式名
	private String oldchuli;//旧品处理
	private String begintime;//系统实施日
	
	public int getNo() {
		return no;
	}
	public void setNo(int no) {
		this.no = no;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getBigItem() {
		return bigItem;
	}
	public void setBigItem(String bigItem) {
		this.bigItem = bigItem;
	}
	public String getBigItemNameO() {
		return bigItemNameO;
	}
	public void setBigItemNameO(String bigItemNameO) {
		this.bigItemNameO = bigItemNameO;
	}
	public String getBom() {
		return bom;
	}
	public void setBom(String bom) {
		this.bom = bom;
	}
	public String getBigItemNameN() {
		return bigItemNameN;
	}
	public void setBigItemNameN(String bigItemNameN) {
		this.bigItemNameN = bigItemNameN;
	}
	public String getSupplierCode() {
		return supplierCode;
	}
	public void setSupplierCode(String supplierCode) {
		this.supplierCode = supplierCode;
	}
	public String getSupplierName() {
		return supplierName;
	}
	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}
	
	public String getAc() {
		return ac;
	}
	public void setAc(String ac) {
		this.ac = ac;
	}
	public String getProductionName() {
		return productionName;
	}
	public void setProductionName(String productionName) {
		this.productionName = productionName;
	}
	public String getPinming() {
		return pinming;
	}
	public void setPinming(String pinming) {
		this.pinming = pinming;
	}
	public int getDanyong() {
		return danyong;
	}
	public void setDanyong(int danyong) {
		this.danyong = danyong;
	}
	public int getDinghuoBool() {
		return dinghuoBool;
	}
	public void setDinghuoBool(int dinghuoBool) {
		this.dinghuoBool = dinghuoBool;
	}
	public String getNasuo() {
		return nasuo;
	}
	public void setNasuo(String nasuo) {
		this.nasuo = nasuo;
	}
	public int getCanliang() {
		return canliang;
	}
	public void setCanliang(int canliang) {
		this.canliang = canliang;
	}
	public String getTCode() {
		return TCode;
	}
	public void setTCode(String tCode) {
		TCode = tCode;
	}
	public String getTName() {
		return TName;
	}
	public void setTName(String tName) {
		TName = tName;
	}
	public String getOldchuli() {
		return oldchuli;
	}
	public void setOldchuli(String oldchuli) {
		this.oldchuli = oldchuli;
	}
	public String getBegintime() {
		return begintime;
	}
	public void setBegintime(String begintime) {
		this.begintime = begintime;
	}
	
}
